Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class QueueRegistry

    java.lang.Object
      org.richfaces.component.QueueRegistry

    public final class QueueRegistry

extends java.lang.Object

Since:
  3.3.0
Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `QUEUE_SCRIPT_ID`

Method Summary
`void` | `addQueue(java.lang.String clientName, javax.faces.component.UIComponent component)`
`boolean` | `containsQueue(java.lang.String name)`
`static QueueRegistry` | `getInstance(javax.faces.context.FacesContext context)`
`java.util.Map<java.lang.String,javax.faces.component.UIComponent>` | `getRegisteredQueues()`
`boolean` | `hasQueuesToEncode()`
`javax.faces.component.UIComponent` | `removeQueue(java.lang.String clientName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUEUE_SCRIPT_ID

    public static final java.lang.String QUEUE_SCRIPT_ID

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static QueueRegistry getInstance(javax.faces.context.FacesContext context)

### addQueue

    public void addQueue(java.lang.String clientName,
                         javax.faces.component.UIComponent component)

### removeQueue

    public javax.faces.component.UIComponent removeQueue(java.lang.String clientName)

### containsQueue

    public boolean containsQueue(java.lang.String name)

### getRegisteredQueues

    public java.util.Map<java.lang.String,javax.faces.component.UIComponent> getRegisteredQueues()

### hasQueuesToEncode

    public boolean hasQueuesToEncode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.